import { HorizontalRangeCategorySeries } from "./HorizontalRangeCategorySeries";
import { Series } from "./Series";
import { SeriesView } from "./SeriesView";
import { Type, Point } from "igniteui-react-core";
import { CategoryMode } from "./CategoryMode";
import { CategoryAxisBase } from "./CategoryAxisBase";
import { Rect } from "igniteui-react-core";
import { CategoryFrame } from "./CategoryFrame";
import { List$1 } from "igniteui-react-core";
import { Pool$1 } from "igniteui-react-core";
import { Rectangle } from "igniteui-react-core";
import { CategorySeriesView } from "./CategorySeriesView";
import { RangeCategorySeriesView } from "./RangeCategorySeriesView";
import { RenderingContext } from "igniteui-react-core";
/**
 * @hidden
 */
export declare class RangeColumnSeries extends HorizontalRangeCategorySeries {
    static $t: Type;
    protected bc(): Series;
    protected get_ee(): boolean;
    protected get_ez(): boolean;
    protected iq(): number;
    protected cd(): SeriesView;
    o2(a: SeriesView): void;
    ym: RangeColumnSeriesView;
    constructor();
    yn: number;
    yo: number;
    protected get_dv(): boolean;
    preferredCategoryMode(a: CategoryAxisBase): CategoryMode;
    tu(a: Point): Rect;
    f5(a: Point, b: boolean): boolean;
    nk(a: boolean, b: SeriesView): void;
    h1(): number;
    w7(a: CategoryFrame, b: CategorySeriesView): void;
    get useHighMarkerFidelity(): boolean;
    static $$p: string[];
}
/**
 * @hidden
 */
export declare class RangeColumnSeriesView extends RangeCategorySeriesView {
    static $t: Type;
    protected c5: RangeColumnSeries;
    constructor(a: RangeColumnSeries);
    c6: Pool$1<Rectangle>;
    au(): void;
    protected c7: List$1<Rectangle>;
    dd(): Rectangle;
    c8(a: Rectangle): void;
    da(a: Rectangle): void;
    c9(a: Rectangle): void;
    db(a: Rectangle, b: number, c: number): void;
    protected ac(a: number): any;
    private dc;
    protected ab(a: number): any;
    protected a8(a: RenderingContext, b: boolean): void;
    an(a: any): void;
}
